/// <reference types="react" />
export declare const modalSettings: (visible: boolean) => import("@emotion/react").SerializedStyles;
export declare const Overlay: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
} & {
    visible: boolean;
    zIndex: number;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
